diff --git a/x11-fm/konqueror/pkg-plist b/x11-fm/konqueror/pkg-plist
index efbdaabfc04a..54d80abd5cfa 100644
--- a/x11-fm/konqueror/pkg-plist
+++ b/x11-fm/konqueror/pkg-plist
@@ -1363,6 +1442,7 @@ share/locale/pt/LC_MESSAGES/kfmclient.mo
 share/locale/pt/LC_MESSAGES/kgetplugin.mo
 share/locale/pt/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/pt/LC_MESSAGES/khtmltts.mo
+share/locale/pt/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/pt/LC_MESSAGES/konqueror.mo
 share/locale/pt/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/pt/LC_MESSAGES/libkonq.mo
@@ -1384,6 +1464,7 @@ share/locale/pt_BR/LC_MESSAGES/kfmclient.mo
 share/locale/pt_BR/LC_MESSAGES/kgetplugin.mo
 share/locale/pt_BR/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/pt_BR/LC_MESSAGES/khtmltts.mo
+share/locale/pt_BR/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/pt_BR/LC_MESSAGES/konqueror.mo
 share/locale/pt_BR/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/pt_BR/LC_MESSAGES/libkonq.mo
@@ -1405,6 +1486,7 @@ share/locale/ro/LC_MESSAGES/kfmclient.mo
 share/locale/ro/LC_MESSAGES/kgetplugin.mo
 share/locale/ro/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/ro/LC_MESSAGES/khtmltts.mo
+share/locale/ro/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/ro/LC_MESSAGES/konqueror.mo
 share/locale/ro/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/ro/LC_MESSAGES/libkonq.mo
@@ -1425,6 +1507,7 @@ share/locale/ru/LC_MESSAGES/kfmclient.mo
 share/locale/ru/LC_MESSAGES/kgetplugin.mo
 share/locale/ru/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/ru/LC_MESSAGES/khtmltts.mo
+share/locale/ru/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/ru/LC_MESSAGES/konqueror.mo
 share/locale/ru/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/ru/LC_MESSAGES/libkonq.mo
@@ -1459,6 +1542,7 @@ share/locale/si/LC_MESSAGES/kcmperformance.mo
 share/locale/si/LC_MESSAGES/kfmclient.mo
 share/locale/si/LC_MESSAGES/kgetplugin.mo
 share/locale/si/LC_MESSAGES/khtmltts.mo
+share/locale/si/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/si/LC_MESSAGES/konqueror.mo
 share/locale/si/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/si/LC_MESSAGES/libkonq.mo
@@ -1476,6 +1560,7 @@ share/locale/sk/LC_MESSAGES/kfmclient.mo
 share/locale/sk/LC_MESSAGES/kgetplugin.mo
 share/locale/sk/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/sk/LC_MESSAGES/khtmltts.mo
+share/locale/sk/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/sk/LC_MESSAGES/konqueror.mo
 share/locale/sk/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/sk/LC_MESSAGES/libkonq.mo
@@ -1497,6 +1582,7 @@ share/locale/sl/LC_MESSAGES/kfmclient.mo
 share/locale/sl/LC_MESSAGES/kgetplugin.mo
 share/locale/sl/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/sl/LC_MESSAGES/khtmltts.mo
+share/locale/sl/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/sl/LC_MESSAGES/konqueror.mo
 share/locale/sl/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/sl/LC_MESSAGES/libkonq.mo
@@ -1517,6 +1603,7 @@ share/locale/sq/LC_MESSAGES/kcmperformance.mo
 share/locale/sq/LC_MESSAGES/kfmclient.mo
 share/locale/sq/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/sq/LC_MESSAGES/khtmltts.mo
+share/locale/sq/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/sq/LC_MESSAGES/konqueror.mo
 share/locale/sq/LC_MESSAGES/libkonq.mo
 share/locale/sq/LC_MESSAGES/searchbarplugin.mo
@@ -1535,6 +1622,7 @@ share/locale/sr/LC_MESSAGES/kfmclient.mo
 share/locale/sr/LC_MESSAGES/kgetplugin.mo
 share/locale/sr/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/sr/LC_MESSAGES/khtmltts.mo
+share/locale/sr/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/sr/LC_MESSAGES/konqueror.mo
 share/locale/sr/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/sr/LC_MESSAGES/libkonq.mo
@@ -1555,6 +1643,7 @@ share/locale/sr@ijekavian/LC_MESSAGES/kfmclient.mo
 share/locale/sr@ijekavian/LC_MESSAGES/kgetplugin.mo
 share/locale/sr@ijekavian/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/sr@ijekavian/LC_MESSAGES/khtmltts.mo
+share/locale/sr@ijekavian/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/sr@ijekavian/LC_MESSAGES/konqueror.mo
 share/locale/sr@ijekavian/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/sr@ijekavian/LC_MESSAGES/libkonq.mo
@@ -1575,6 +1664,7 @@ share/locale/sr@ijekavianlatin/LC_MESSAGES/kfmclient.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/kgetplugin.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/khtmltts.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/konqueror.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/libkonq.mo
@@ -1595,6 +1685,7 @@ share/locale/sr@latin/LC_MESSAGES/kfmclient.mo
 share/locale/sr@latin/LC_MESSAGES/kgetplugin.mo
 share/locale/sr@latin/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/sr@latin/LC_MESSAGES/khtmltts.mo
+share/locale/sr@latin/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/sr@latin/LC_MESSAGES/konqueror.mo
 share/locale/sr@latin/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/sr@latin/LC_MESSAGES/libkonq.mo
@@ -1615,6 +1706,7 @@ share/locale/sv/LC_MESSAGES/kfmclient.mo
 share/locale/sv/LC_MESSAGES/kgetplugin.mo
 share/locale/sv/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/sv/LC_MESSAGES/khtmltts.mo
+share/locale/sv/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/sv/LC_MESSAGES/konqueror.mo
 share/locale/sv/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/sv/LC_MESSAGES/libkonq.mo
@@ -1636,6 +1728,7 @@ share/locale/ta/LC_MESSAGES/kfmclient.mo
 share/locale/ta/LC_MESSAGES/kgetplugin.mo
 share/locale/ta/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/ta/LC_MESSAGES/khtmltts.mo
+share/locale/ta/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/ta/LC_MESSAGES/konqueror.mo
 share/locale/ta/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/ta/LC_MESSAGES/libkonq.mo
@@ -1647,6 +1740,7 @@ share/locale/te/LC_MESSAGES/kcmkonqhtml.mo
 share/locale/te/LC_MESSAGES/kcmperformance.mo
 share/locale/te/LC_MESSAGES/kfmclient.mo
 share/locale/te/LC_MESSAGES/khtmltts.mo
+share/locale/te/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/te/LC_MESSAGES/konqueror.mo
 share/locale/te/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/te/LC_MESSAGES/libkonq.mo
@@ -1664,6 +1758,7 @@ share/locale/tg/LC_MESSAGES/kfmclient.mo
 share/locale/tg/LC_MESSAGES/kgetplugin.mo
 share/locale/tg/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/tg/LC_MESSAGES/khtmltts.mo
+share/locale/tg/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/tg/LC_MESSAGES/konqueror.mo
 share/locale/tg/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/tg/LC_MESSAGES/libkonq.mo
@@ -1684,6 +1779,7 @@ share/locale/th/LC_MESSAGES/kfmclient.mo
 share/locale/th/LC_MESSAGES/kgetplugin.mo
 share/locale/th/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/th/LC_MESSAGES/khtmltts.mo
+share/locale/th/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/th/LC_MESSAGES/konqueror.mo
 share/locale/th/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/th/LC_MESSAGES/libkonq.mo
@@ -1704,6 +1800,7 @@ share/locale/tr/LC_MESSAGES/kfmclient.mo
 share/locale/tr/LC_MESSAGES/kgetplugin.mo
 share/locale/tr/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/tr/LC_MESSAGES/khtmltts.mo
+share/locale/tr/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/tr/LC_MESSAGES/konqueror.mo
 share/locale/tr/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/tr/LC_MESSAGES/libkonq.mo
@@ -1725,6 +1822,7 @@ share/locale/ug/LC_MESSAGES/kfmclient.mo
 share/locale/ug/LC_MESSAGES/kgetplugin.mo
 share/locale/ug/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/ug/LC_MESSAGES/khtmltts.mo
+share/locale/ug/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/ug/LC_MESSAGES/konqueror.mo
 share/locale/ug/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/ug/LC_MESSAGES/libkonq.mo
@@ -1745,6 +1843,7 @@ share/locale/uk/LC_MESSAGES/kfmclient.mo
 share/locale/uk/LC_MESSAGES/kgetplugin.mo
 share/locale/uk/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/uk/LC_MESSAGES/khtmltts.mo
+share/locale/uk/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/uk/LC_MESSAGES/konqueror.mo
 share/locale/uk/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/uk/LC_MESSAGES/libkonq.mo
@@ -1802,6 +1901,7 @@ share/locale/vi/LC_MESSAGES/kfmclient.mo
 share/locale/vi/LC_MESSAGES/kgetplugin.mo
 share/locale/vi/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/vi/LC_MESSAGES/khtmltts.mo
+share/locale/vi/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/vi/LC_MESSAGES/konqueror.mo
 share/locale/vi/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/vi/LC_MESSAGES/libkonq.mo
@@ -1820,6 +1920,7 @@ share/locale/wa/LC_MESSAGES/kcmperformance.mo
 share/locale/wa/LC_MESSAGES/kfmclient.mo
 share/locale/wa/LC_MESSAGES/kgetplugin.mo
 share/locale/wa/LC_MESSAGES/khtmltts.mo
+share/locale/wa/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/wa/LC_MESSAGES/konqueror.mo
 share/locale/wa/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/wa/LC_MESSAGES/libkonq.mo
@@ -1851,6 +1952,7 @@ share/locale/zh_CN/LC_MESSAGES/kfmclient.mo
 share/locale/zh_CN/LC_MESSAGES/kgetplugin.mo
 share/locale/zh_CN/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/zh_CN/LC_MESSAGES/khtmltts.mo
+share/locale/zh_CN/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/zh_CN/LC_MESSAGES/konqueror.mo
 share/locale/zh_CN/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/zh_CN/LC_MESSAGES/libkonq.mo
@@ -1873,6 +1975,7 @@ share/locale/zh_TW/LC_MESSAGES/kfmclient.mo
 share/locale/zh_TW/LC_MESSAGES/kgetplugin.mo
 share/locale/zh_TW/LC_MESSAGES/khtmlsettingsplugin.mo
 share/locale/zh_TW/LC_MESSAGES/khtmltts.mo
+share/locale/zh_TW/LC_MESSAGES/kio6_bookmarks.mo
 share/locale/zh_TW/LC_MESSAGES/konqueror.mo
 share/locale/zh_TW/LC_MESSAGES/kshellcmdplugin.mo
 share/locale/zh_TW/LC_MESSAGES/libkonq.mo
@@ -1881,7 +1984,7 @@ share/locale/zh_TW/LC_MESSAGES/uachangerplugin.mo
 share/locale/zh_TW/LC_MESSAGES/webarchiver.mo
 share/locale/zh_TW/LC_MESSAGES/webenginepart.mo
 share/metainfo/org.kde.konqueror.appdata.xml
-share/qlogging-categories5/akregatorplugin.categories
-share/qlogging-categories5/fsview.categories
-share/qlogging-categories5/konqueror.categories
+share/qlogging-categories6/akregatorplugin.categories
+share/qlogging-categories6/fsview.categories
+share/qlogging-categories6/konqueror.categories
 share/webenginepart/error.html
diff --git a/x11-themes/Makefile b/x11-themes/Makefile
index d391b3ee7bab..5f7d6a6ca314 100644
--- a/x11-themes/Makefile
+++ b/x11-themes/Makefile
@@ -132,11 +132,6 @@
     SUBDIR += openbox-arc-theme
     SUBDIR += oxygen-icons
     SUBDIR += papirus-icon-theme
-    SUBDIR += plasma5-breeze
-    SUBDIR += plasma5-breeze-gtk
-    SUBDIR += plasma5-kde-gtk-config
-    SUBDIR += plasma5-oxygen
-    SUBDIR += plasma5-plasma-workspace-wallpapers
     SUBDIR += plasma6-breeze
     SUBDIR += plasma6-breeze-gtk
     SUBDIR += plasma6-kde-gtk-config
diff --git a/x11-themes/plasma6-breeze/Makefile b/x11-themes/plasma6-breeze/Makefile
index 8e1f41a78fd5..f8c7b25363eb 100644
--- a/x11-themes/plasma6-breeze/Makefile
+++ b/x11-themes/plasma6-breeze/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	breeze
 DISTVERSION=	${KDE_PLASMA_VERSION}
+PORTREVISION=	1
 CATEGORIES=	x11-themes kde kde-plasma
 
 MAINTAINER=	kde@FreeBSD.org
@@ -8,8 +9,8 @@ COMMENT=	Artwork, styles and assets for the Breeze visual style for the Plasma D
 USES=		cmake gettext gl kde:6 qt:6 tar:xz xorg
 USE_GL=		gl opengl
 USE_KDE=	colorscheme config configwidgets coreaddons decoration \
-		guiaddons i18n iconthemes kcmutils kirigami2 widgetsaddons \
-		windowsystem \
+		frameworkintegration guiaddons i18n iconthemes kcmutils \
+		kirigami2 widgetsaddons windowsystem \
 		ecm:build
 USE_QT=		base declarative
 USE_XORG=	x11
diff --git a/x11-toolkits/Makefile b/x11-toolkits/Makefile
index 8934c3ce4e77..a3401b5bb7ac 100644
--- a/x11-toolkits/Makefile
+++ b/x11-toolkits/Makefile
@@ -167,7 +167,6 @@
     SUBDIR += pangolin
     SUBDIR += pangomm
     SUBDIR += pangox-compat
-    SUBDIR += plasma5-kdeplasma-addons
     SUBDIR += plasma6-kdeplasma-addons
     SUBDIR += plib
     SUBDIR += py-AnyQt
diff --git a/x11-toolkits/kf5-kguiaddons/Makefile b/x11-toolkits/kf5-kguiaddons/Makefile
index e6710d42af97..8c5addb64933 100644
--- a/x11-toolkits/kf5-kguiaddons/Makefile
+++ b/x11-toolkits/kf5-kguiaddons/Makefile
@@ -1,10 +1,13 @@
 PORTNAME=	kguiaddons
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	x11-toolkits kde kde-frameworks
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KF5 addons to QtGui
 
+DEPRECATED=	has its functionality stripped compared to a kf6 variant
+
 LIB_DEPENDS=	libwayland-client.so:graphics/wayland
 
 USES=		cmake compiler:c++11-lib desktop-file-utils kde:5 pkgconfig \
@@ -14,4 +17,7 @@ USE_QT=		core dbus gui wayland x11extras \
 		buildtools:build qmake:build testlib:build
 USE_XORG=	ice sm x11 xcb xext
 
+# KF6 coinstallability
+CMAKE_OFF=	BUILD_GEO_SCHEME_HANDLER
+
 .include <bsd.port.mk>
diff --git a/x11-toolkits/kf5-kguiaddons/pkg-plist b/x11-toolkits/kf5-kguiaddons/pkg-plist
index 58a94cc4d88b..9538d01c4a99 100644
--- a/x11-toolkits/kf5-kguiaddons/pkg-plist
+++ b/x11-toolkits/kf5-kguiaddons/pkg-plist
@@ -1,4 +1,4 @@
-bin/kde-geo-uri-handler
+@comment bin/kde-geo-uri-handler
 include/KF5/KGuiAddons/KColorCollection
 include/KF5/KGuiAddons/KColorMimeData
 include/KF5/KGuiAddons/KColorSchemeWatcher
@@ -37,8 +37,8 @@ lib/libKF5GuiAddons.so
 lib/libKF5GuiAddons.so.5
 lib/libKF5GuiAddons.so.%%KDE_FRAMEWORKS_VERSION%%
 %%QT_MKSPECDIR%%/modules/qt_KGuiAddons.pri
-share/applications/google-maps-geo-handler.desktop
-share/applications/openstreetmap-geo-handler.desktop
-share/applications/qwant-maps-geo-handler.desktop
-share/applications/wheelmap-geo-handler.desktop
+@comment share/applications/google-maps-geo-handler.desktop
+@comment share/applications/openstreetmap-geo-handler.desktop
+@comment share/applications/qwant-maps-geo-handler.desktop
+@comment share/applications/wheelmap-geo-handler.desktop
 share/qlogging-categories5/kguiaddons.categories
diff --git a/x11-wm/Makefile b/x11-wm/Makefile
index b82d5c18a60d..37fcdb5296d6 100644
--- a/x11-wm/Makefile
+++ b/x11-wm/Makefile
@@ -85,8 +85,6 @@
     SUBDIR += phoc
     SUBDIR += picom
     SUBDIR += piewm
-    SUBDIR += plasma5-kdecoration
-    SUBDIR += plasma5-kwin
     SUBDIR += plasma6-kdecoration
     SUBDIR += plasma6-kwin
     SUBDIR += pwm
diff --git a/x11-wm/plasma6-kwin/pkg-plist b/x11-wm/plasma6-kwin/pkg-plist
index aeef99e1bfb9..10d58570c7fa 100644
--- a/x11-wm/plasma6-kwin/pkg-plist
+++ b/x11-wm/plasma6-kwin/pkg-plist
@@ -994,6 +994,8 @@ share/locale/da/LC_MESSAGES/kcm_kwin_virtualdesktops.mo
 share/locale/da/LC_MESSAGES/kcm_kwindecoration.mo
 share/locale/da/LC_MESSAGES/kcm_kwinrules.mo
 share/locale/da/LC_MESSAGES/kcm_kwintabbox.mo
+share/locale/da/LC_MESSAGES/kcm_kwinxwayland.mo
+share/locale/da/LC_MESSAGES/kcm_virtualkeyboard.mo
 share/locale/da/LC_MESSAGES/kcmkwincommon.mo
 share/locale/da/LC_MESSAGES/kcmkwincompositing.mo
 share/locale/da/LC_MESSAGES/kcmkwinscreenedges.mo
diff --git a/x11/Makefile b/x11/Makefile
index f7686018b600..5f05ec6aaf79 100644
--- a/x11/Makefile
+++ b/x11/Makefile
@@ -145,8 +145,7 @@
     SUBDIR += kanshi
     SUBDIR += kb2mb2
     SUBDIR += kde-baseapps
-    SUBDIR += kde5
-    SUBDIR += kde6
+    SUBDIR += kde
     SUBDIR += kdisplay
     SUBDIR += keybinder
     SUBDIR += keybinder-gtk3
@@ -173,7 +172,6 @@
     SUBDIR += kickoff
     SUBDIR += kitty
     SUBDIR += konsole
-    SUBDIR += konsole-devel
     SUBDIR += lavalauncher
     SUBDIR += lemonbar
     SUBDIR += lemonbar-xft
@@ -320,17 +318,6 @@
     SUBDIR += pixman
     SUBDIR += plank
     SUBDIR += plasma-wayland-protocols
-    SUBDIR += plasma5-kactivitymanagerd
-    SUBDIR += plasma5-kgamma5
-    SUBDIR += plasma5-kscreen
-    SUBDIR += plasma5-kwayland-integration
-    SUBDIR += plasma5-layer-shell-qt
-    SUBDIR += plasma5-libkscreen
-    SUBDIR += plasma5-plasma
-    SUBDIR += plasma5-plasma-bigscreen
-    SUBDIR += plasma5-plasma-desktop
-    SUBDIR += plasma5-plasma-integration
-    SUBDIR += plasma5-plasma-workspace
     SUBDIR += plasma6-kactivitymanagerd
     SUBDIR += plasma6-kgamma
     SUBDIR += plasma6-kglobalacceld
diff --git a/x11/kde-baseapps/Makefile b/x11/kde-baseapps/Makefile
index 11d659df6d0d..52ef8beb0477 100644
--- a/x11/kde-baseapps/Makefile
+++ b/x11/kde-baseapps/Makefile
@@ -1,13 +1,12 @@
 PORTNAME=	kde-baseapps
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	x11 kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE5 baseapps meta port
 WWW=		https://www.kde.org/applications//
 
-USES=		kde:5 metaport
+USES=		kde:6 metaport
 RUN_DEPENDS=	dolphin>=${KDE_APPLICATIONS_VERSION}:x11-fm/dolphin  \
 		gwenview>=${KDE_APPLICATIONS_VERSION}:graphics/gwenview \
 		kate>=${KDE_APPLICATIONS_VERSION}:editors/kate \
diff --git a/x11/kde5/Makefile b/x11/kde/Makefile
similarity index 85%
rename from x11/kde5/Makefile
rename to x11/kde/Makefile
index 29c1315b77e4..8dc6f6a52df5 100644
--- a/x11/kde5/Makefile
+++ b/x11/kde/Makefile
@@ -1,6 +1,5 @@
-PORTNAME=	kde5
+PORTNAME=	kde
 DISTVERSION=	${KDE_PLASMA_VERSION}.${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	x11 kde
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,15 +8,14 @@ WWW=		https://www.kde.org
 
 RUN_DEPENDS=	kde-baseapps>=0:x11/kde-baseapps \
 		kwalletmanager5:security/kwalletmanager \
-		plasma5-plasma>=0:x11/plasma5-plasma
+		plasma6-plasma>=0:x11/plasma6-plasma \
+		kf6-frameworks>=0:x11/kf6-frameworks
 
-USES=		kde:5 metaport qt:5
+USES=		kde:6 metaport qt:6
 USE_QT=		# empty
 
-OPTIONS_DEFINE=	KDEADMIN KDEEDU \
-		KDEGAMES KDEGRAPHICS KDEMULTIMEDIA KDENETWORK \
-		KDEPIM KDEUTILS \
-		PULSEAUDIO
+OPTIONS_DEFINE=	KDEADMIN KDEEDU KDEGAMES KDEGRAPHICS KDEMULTIMEDIA KDENETWORK \
+		KDEPIM KDEUTILS PULSEAUDIO
 
 OPTIONS_DEFAULT=${OPTIONS_DEFINE:NPULSEAUDIO}
 
diff --git a/x11/kde5/pkg-descr b/x11/kde/pkg-descr
similarity index 83%
rename from x11/kde5/pkg-descr
rename to x11/kde/pkg-descr
index d8d766890d1b..2bab1cb17d0e 100644
--- a/x11/kde5/pkg-descr
+++ b/x11/kde/pkg-descr
@@ -6,4 +6,4 @@ This package does not contain anything by itself -- it is a
 to require dependencies so users can install this package only and
 have all the KDE stuff pulled in by the port/package dependency mechanism.
 
-x11/kde5 contains current KDE Frameworks, Plasma Desktop and Applications.
+x11/kde contains current KDE Frameworks, Plasma Desktop and Applications.
diff --git a/x11/kf5-frameworks/Makefile b/x11/kf5-frameworks/Makefile
index a939f18d02fa..9e2e833287d7 100644
--- a/x11/kf5-frameworks/Makefile
+++ b/x11/kf5-frameworks/Makefile
@@ -9,7 +9,7 @@ WWW=		https://api.kde.org/frameworks/index.html
 
 USES=		metaport kde:5 qt:5
 # remove bluez-qt as we do not have bluez
-USE_KDE=	${_USE_FRAMEWORKS_ALL:Nbluez-qt}
+USE_KDE=	${_USE_FRAMEWORKS_ALL:Nbluez-qt:Nkpipewire}
 # pull bsd.qt.mk for QT_PLUGINDIR in the kf5-dependencies
 USE_QT=		#
 
diff --git a/x11/kf5-kglobalaccel/Makefile b/x11/kf5-kglobalaccel/Makefile
index d3691f18463a..6ae4a7f97140 100644
--- a/x11/kf5-kglobalaccel/Makefile
+++ b/x11/kf5-kglobalaccel/Makefile
@@ -1,10 +1,13 @@
 PORTNAME=	kglobalaccel
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	x11 kde kde-frameworks
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KF5 library to add support for global workspace shortcuts
 
+DEPRECATED=	has its functionality stripped compared to a kf6 variant
+
 LIB_DEPENDS=	libxcb-keysyms.so:x11/xcb-util-keysyms
 
 USES=		cmake compiler:c++11-lib kde:5 qt:5 tar:xz xorg
@@ -15,4 +18,7 @@ USE_QT=		core dbus gui linguisttools widgets x11extras \
 		buildtools:build qmake:build testlib:build
 USE_XORG=	x11 xcb
 
+# KF6 coinstallability
+CMAKE_ON=	KF6_COMPAT_BUILD
+
 .include <bsd.port.mk>
diff --git a/x11/kf5-kglobalaccel/pkg-plist b/x11/kf5-kglobalaccel/pkg-plist
index 711aeca1dc70..8a41218c50ee 100644
--- a/x11/kf5-kglobalaccel/pkg-plist
+++ b/x11/kf5-kglobalaccel/pkg-plist
@@ -1,13 +1,13 @@
-bin/kglobalaccel5
+@comment bin/kglobalaccel5
 include/KF5/KGlobalAccel/KGlobalAccel
 include/KF5/KGlobalAccel/KGlobalShortcutInfo
 include/KF5/KGlobalAccel/kglobalaccel.h
 include/KF5/KGlobalAccel/kglobalaccel_export.h
+include/KF5/KGlobalAccel/kglobalaccel_version.h
 include/KF5/KGlobalAccel/kglobalshortcutinfo.h
 include/KF5/KGlobalAccel/private/kf5globalaccelprivate_export.h
 include/KF5/KGlobalAccel/private/kglobalaccel_interface.h
 include/KF5/KGlobalAccel/private/kglobalacceld.h
-include/KF5/KGlobalAccel/kglobalaccel_version.h
 lib/cmake/KF5GlobalAccel/KF5GlobalAccelConfig.cmake
 lib/cmake/KF5GlobalAccel/KF5GlobalAccelConfigVersion.cmake
 lib/cmake/KF5GlobalAccel/KF5GlobalAccelTargets-%%CMAKE_BUILD_TYPE%%.cmake
@@ -17,13 +17,13 @@ lib/libKF5GlobalAccel.so.5
 lib/libKF5GlobalAccel.so.%%KDE_FRAMEWORKS_VERSION%%
 lib/libKF5GlobalAccelPrivate.so.5
 lib/libKF5GlobalAccelPrivate.so.%%KDE_FRAMEWORKS_VERSION%%
-%%QT_PLUGINDIR%%/org.kde.kglobalaccel5.platforms/KF5GlobalAccelPrivateXcb.so
+@comment %%QT_PLUGINDIR%%/org.kde.kglobalaccel5.platforms/KF5GlobalAccelPrivateXcb.so
 %%QT_MKSPECDIR%%/modules/qt_KGlobalAccel.pri
-lib/systemd/user/plasma-kglobalaccel.service
+@comment lib/systemd/user/plasma-kglobalaccel.service
 share/dbus-1/interfaces/kf5_org.kde.KGlobalAccel.xml
 share/dbus-1/interfaces/kf5_org.kde.kglobalaccel.Component.xml
-share/dbus-1/services/org.kde.kglobalaccel.service
-share/kservices5/kglobalaccel5.desktop
+@comment share/dbus-1/services/org.kde.kglobalaccel.service
+@comment share/kservices5/kglobalaccel5.desktop
 share/locale/af/LC_MESSAGES/kglobalaccel5_qt.qm
 share/locale/ar/LC_MESSAGES/kglobalaccel5_qt.qm
 share/locale/as/LC_MESSAGES/kglobalaccel5_qt.qm
diff --git a/x11/kf5-plasma-framework/Makefile b/x11/kf5-plasma-framework/Makefile
index fd21e01547a4..b818d5bad768 100644
--- a/x11/kf5-plasma-framework/Makefile
+++ b/x11/kf5-plasma-framework/Makefile
@@ -1,10 +1,13 @@
 PORTNAME=	plasma-framework
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	x11 kde kde-frameworks
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KF5 plugin based UI runtime used to write user interfaces
 
+DEPRECATED=	has its functionality stripped compared to a kf6 variant
+
 USES=		cmake compiler:c++11-lib gettext gl kde:5 pkgconfig qt:5 \
 		tar:xz xorg
 USE_GL=		egl gl
@@ -18,4 +21,7 @@ USE_QT=		concurrent core dbus declarative gui network sql svg widgets \
 		buildtools:build qmake:build
 USE_XORG=	ice sm x11 xcb xext xrandr
 
+# KF6 coinstallability
+CMAKE_OFF=	BUILD_DESKTOPTHEMES
+
 .include <bsd.port.mk>
